export interface ZipEntry {
    entryName: string;
    isDirectory: boolean;
    getData: () => Buffer;
}
export declare class Unzipper {
    private entries;
    constructor(zipFilePath: string);
    private parseBuffer;
    getEntries(): ZipEntry[];
    getEntry(name: string): ZipEntry | undefined;
    getEntriesWithPrefix(prefix: string): ZipEntry[];
    getFiles(): ZipEntry[];
    getDirectories(): ZipEntry[];
    count(): number;
}
